package com.yihu.hos.system.dao.intf;

import com.yihu.hos.system.model.SystemDictList;
import com.yihu.hos.web.framework.model.DataGridResult;
import com.yihu.hos.web.framework.model.DictionaryResult;

/**
 * Created by hzp on 2016/1/11.
 */
public interface IBaseDictDao {

    /**
     * 获取字典列表
     * @return
     */
    DataGridResult getSystemDictList(String condition, Integer page, Integer pageSize) throws Exception ;

    /**
     * 通过ID获取系统字典信息
     * @return
     */
    SystemDictList getSystemDictInfoById(String id) throws Exception ;

    /**
     * 通过dictName获取字典信息
     * @return
     */
    SystemDictList getSystemDictInfoByName(String dictName) throws Exception ;


    /**
     * 获取某字典数据
     * @return
     */
    DictionaryResult getSystemDict(String dictName) throws Exception ;

    /**
     * 获取表数据
     * @return
     */
    DictionaryResult getRelationDict(String tableName, String codeCol, String valueCole, String extendCol, String Where) throws Exception ;

    /**
     * 获取标准字典数据
     * @return
     */
    DictionaryResult getStdDict(String code) throws Exception ;
}
